Subject: [alpine-aports] [PATCH] testing/percona-toolkit: new aport

From: Matthieu Monnier <[email-masked]>
Date: Tue, 25 Oct 2016 10:56:48 +0200

https://www.percona.com/software/database-tools/percona-toolkit/
Toolkit for MySQL/MariaDB
---
 testing/percona-toolkit/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/percona-toolkit/APKBUILD

diff --git a/testing/percona-toolkit/APKBUILD b/testing/percona-toolkit/APKBUILD
new file mode 100644
index 0000000..0f110d3
--- /dev/null
+++ b/testing/percona-toolkit/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Matthieu Monnier <[email-masked]>
+# Maintainer: Matthieu Monnier <[email-masked]>
+pkgname=percona-toolkit
+pkgver=2.2.19
+pkgrel=0
+pkgdesc="Toolkit for MySQL/MariaDB"
+url="https://www.percona.com/software/database-tools/percona-toolkit/"
+arch="noarch"
+license="GPL2"
+depends="perl perl-time-hires perl-dbd-mysql bash"
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="https://www.percona.com/downloads/$pkgname/$pkgver/tarball/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="598653ec1412e4c6f9e74d1af62e4bf1  percona-toolkit-2.2.19.tar.gz"
+sha256sums="e9f4d4730265813fa7a39ed8799d12ca5775c8e5d6fa27ff48bae11db0f7e671  percona-toolkit-2.2.19.tar.gz"
+sha512sums="8da35e2ee4d81465131623e5b423c2c49c0bf0faf01862952dd5ca72c2ffea64fabcaf88dda883e633e23de8ae4a6c75a095a751708bac6a8136fc8daaae2383  percona-toolkit-2.2.19.tar.gz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---